# FoundationClasses
TKMath
TColgp

# TColgp_SequenceOfDir Class Reference

`#include <TColgp_SequenceOfDir.hxx>`

Inheritance diagram for TColgp_SequenceOfDir:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TColgp_SequenceOfDir ()
Standard_EXPORT void | Clear ()
| ~TColgp_SequenceOfDir ()
Standard_EXPORT const TColgp_SequenceOfDir & | Assign (const TColgp_SequenceOfDir &Other)
const TColgp_SequenceOfDir & | operator= (const TColgp_SequenceOfDir &Other)
Standard_EXPORT void | Append (const gp_Dir &T)
void | Append (TColgp_SequenceOfDir &S)
Standard_EXPORT void | Prepend (const gp_Dir &T)
void | Prepend (TColgp_SequenceOfDir &S)
void | InsertBefore (const Standard_Integer Index, const gp_Dir &T)
void | InsertBefore (const Standard_Integer Index, TColgp_SequenceOfDir &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const gp_Dir &T)
void | InsertAfter (const Standard_Integer Index, TColgp_SequenceOfDir &S)
Standard_EXPORT const gp_Dir & | First () const
Standard_EXPORT const gp_Dir & | Last () const
void | Split (const Standard_Integer Index, TColgp_SequenceOfDir &Sub)
Standard_EXPORT const gp_Dir & | Value (const Standard_Integer Index) const
const gp_Dir & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_Dir &I)
Standard_EXPORT gp_Dir & | ChangeValue (const Standard_Integer Index)
gp_Dir & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | TColgp_SequenceOfDir (const TColgp_SequenceOfDir &Other)

## Constructor & Destructor Documentation

TColgp_SequenceOfDir::TColgp_SequenceOfDir | ( |  | ) |

TColgp_SequenceOfDir::~TColgp_SequenceOfDir | ( |  | ) | `[inline]`

Standard_EXPORT TColgp_SequenceOfDir::TColgp_SequenceOfDir | ( | const TColgp_SequenceOfDir & | Other | ) | `[private]`

## Member Function Documentation

void TColgp_SequenceOfDir::Append | ( | TColgp_SequenceOfDir & | S | ) |

Standard_EXPORT void TColgp_SequenceOfDir::Append | ( | const gp_Dir & | T | ) |

Standard_EXPORT const TColgp_SequenceOfDir& TColgp_SequenceOfDir::Assign | ( | const TColgp_SequenceOfDir & | Other | ) |

Standard_EXPORT gp_Dir& TColgp_SequenceOfDir::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfDir::Clear | ( |  | ) |

Standard_EXPORT const gp_Dir& TColgp_SequenceOfDir::First | ( |  | ) | const

void TColgp_SequenceOfDir::InsertAfter | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfDir & | S
| ) |

Standard_EXPORT void TColgp_SequenceOfDir::InsertAfter | ( | const Standard_Integer | Index,
|  | const gp_Dir & | T
| ) |

void TColgp_SequenceOfDir::InsertBefore | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfDir & | S
| ) |

void TColgp_SequenceOfDir::InsertBefore | ( | const Standard_Integer | Index,
|  | const gp_Dir & | T
| ) |

Standard_EXPORT const gp_Dir& TColgp_SequenceOfDir::Last | ( |  | ) | const

void TColgp_SequenceOfDir::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfDir::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfDir::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

gp_Dir& TColgp_SequenceOfDir::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const gp_Dir& TColgp_SequenceOfDir::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColgp_SequenceOfDir& TColgp_SequenceOfDir::operator= | ( | const TColgp_SequenceOfDir & | Other | ) | `[inline]`

void TColgp_SequenceOfDir::Prepend | ( | TColgp_SequenceOfDir & | S | ) |

Standard_EXPORT void TColgp_SequenceOfDir::Prepend | ( | const gp_Dir & | T | ) |

Standard_EXPORT void TColgp_SequenceOfDir::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void TColgp_SequenceOfDir::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfDir::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Dir & | I
| ) |

void TColgp_SequenceOfDir::Split | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfDir & | Sub
| ) |

Standard_EXPORT const gp_Dir& TColgp_SequenceOfDir::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TColgp_SequenceOfDir.hxx